[linux-dvb] saa7146 changes required for 2.6.11-bk1

Klaus Schmidinger Klaus.Schmidinger at cadsoft.de
Mon Mar 7 08:34:10 CET 2005


Lauri Tischler wrote:
> Klaus Schmidinger wrote:
> 
>> C.Y.M wrote:
>>
>>> I noticed the kernel developers made some new changes to i2c which 
>>> affects saa7146 (and some other drivers) in 2.6.11-bk1.  Included is 
>>> a patch for current dvb-kernel if you want to build the latest 2.6 
>>> kernel snapshot.
>>>
>>> Best Regards,
>>
>>
>>
>> Whoever checks this in to CVS should please make sure the latest
>> CVS version of dvb-kernel still compiles with kernel 2.6.8 (which ist
>> the version used in current Linux distributions such as SUSE 9.2).
>> I'd hate to be forced to install a special kernel version in case
>> I switch to dvb-kernel.
> 
> 
> The unfortunate fact is that for new dvb-cards there is no support
> with old kernels,  like cx88 based stuff, you need 2.6.11  :(

Well, at least for the "old" hardware the possibility of still using
an older kernel but being up-to-date driver-wise shouldn't be broken.

Nevermind, it is apparently impossible to stay up-to-date with dvb-kernel
without installing new kernels about twice a day, so I'll just stick with
the old DVB driver.

Klaus




More information about the linux-dvb mailing list